Package org.codehaus.groovy.runtime.callsite

## Class PogoMetaClassSite

- java.lang.Object
- - org.codehaus.groovy.runtime.callsite.AbstractCallSite
  - - org.codehaus.groovy.runtime.callsite.MetaClassSite
    - - org.codehaus.groovy.runtime.callsite.PogoMetaClassSite

- All Implemented Interfaces:
    `CallSite`

      public class PogoMetaClassSite
      extends MetaClassSite

- - ### Field Summary

    - ### Fields inherited from class org.codehaus.groovy.runtime.callsite.MetaClassSite

      `metaClass`

    - ### Fields inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite

      `array, index, name`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PogoMetaClassSite​(CallSite site, MetaClass metaClass)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Object` | `call​(Object receiver, Object[] args)` |
    `Object` | `callCurrent​(GroovyObject receiver, Object[] args)` |
    `protected boolean` | `checkCall​(Object receiver)` |

    - ### Methods inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite

      `acceptGetProperty, acceptGroovyObjectGetProperty, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName, getProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PogoMetaClassSite

          public PogoMetaClassSite​(CallSite site,
                                   MetaClass metaClass)

  - ### Method Detail

    - #### call

          public final Object call​(Object receiver,
                                   Object[] args)
                            throws Throwable

      Specified by:
        `call` in interface `CallSite`
      Overrides:
        `call` in class `AbstractCallSite`
      Throws:
        `Throwable`

    - #### callCurrent

          public final Object callCurrent​(GroovyObject receiver,
                                          Object[] args)
                                   throws Throwable

      Specified by:
        `callCurrent` in interface `CallSite`
      Overrides:
        `callCurrent` in class `AbstractCallSite`
      Throws:
        `Throwable`

    - #### checkCall

          protected final boolean checkCall​(Object receiver)